Bug 461609 - kernel: Possible IRQ issues on Lenovo T400 Laptop with ICH9 (Rev 03) hardware cause USB failures
kernel: Possible IRQ issues on Lenovo T400 Laptop with ICH9 (Rev 03) hardware...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: redhat-release-notes (Show other bugs)
5.2
i386 Linux
medium Severity medium
: rc
: 5.4
Assigned To: Ryan Lerch
Content Services Development
: Documentation
Depends On:
Blocks: 447297 RHEL5u3_relnotes 483784
  Show dependency treegraph
 
Reported: 2008-09-09 09:19 EDT by Richard Monk
Modified: 2009-08-20 00:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-19 19:32:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci listing (13.54 KB, text/plain)
2008-09-09 09:19 EDT, Richard Monk
no flags Details
lsusb listing (28.43 KB, application/octet-stream)
2008-09-09 09:21 EDT, Richard Monk
no flags Details
dmidecode data from T400 (model 6474R1U) (14.07 KB, text/plain)
2008-10-06 06:57 EDT, Richard Monk
no flags Details

  None (edit)
Description Richard Monk 2008-09-09 09:19:08 EDT
Created attachment 316184 [details]
lspci listing

Description of problem:
  Possible IRQ issues on Lenovo T400 Laptop with ICH9 (Rev 03) hardware cause USB failures

Version-Release number of selected component (if applicable):
  kernel 2.6.18-92.1.1.el5

How reproducible:
  Insert any USB device into a Lenovo T400 running RHEL 5.2

Steps to Reproduce:
  Plug in any USB device (example below is from a known-good USB flash drive)
  Watch dmesg
  
Actual results:
  usb 2-2: new high speed USB device using ehci_hcd and address 2
ehci_hcd 0000:00:1d.7: Unlink after no-IRQ?  Controller is probably using the wrong IRQ.
usb 2-2: device not accepting address 2, error -110
usb 2-2: new high speed USB device using ehci_hcd and address 3
usb 2-2: device not accepting address 3, error -110
usb 2-2: new high speed USB device using ehci_hcd and address 4


Expected results:
  USB device attaches correctly

Additional info:
  I tested the same machine with the F9 install media, and USB worked correctly.
Comment 1 Richard Monk 2008-09-09 09:21:27 EDT
Created attachment 316185 [details]
lsusb listing
Comment 2 Richard Monk 2008-09-22 09:55:08 EDT
This is a pretty big problem as we are being forced to switch to this model laptop in the next couple months.  Can I get an update on this issue?
Comment 3 Richard Monk 2008-10-06 06:57:48 EDT
Created attachment 319539 [details]
dmidecode data from T400 (model 6474R1U)
Comment 4 Richard Monk 2008-10-07 07:18:14 EDT
So I should have paid attention to Lenovos support site.  The BIOS update located here:

http://www-307.ibm.com/pc/support/site.wss/document.do?sitestyle=lenovo&lndocid=MIGR-70351

Repairs the IRQ issue.
Comment 5 Larry Troan 2008-10-13 15:35:09 EDT
Per comment #4, should this be closed as NOTABUG?
Do we need a KBase?

Note You need to log in before you can comment on or make changes to this bug.